<html>
<head>
<title>OgreRenderSystemCapabilitiesManager.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreRenderSystemCapabilitiesManager.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreRenderSystemCapabilitiesManager_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">    (Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00010"></a>00010 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00011"></a>00011 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00012"></a>00012 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00013"></a>00013 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00014"></a>00014 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00017"></a>00017 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00020"></a>00020 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00021"></a>00021 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00022"></a>00022 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00023"></a>00023 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00024"></a>00024 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00025"></a>00025 <span class="comment">THE SOFTWARE.</span>
<a name="l00026"></a>00026 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00027"></a>00027 <span class="comment">*/</span>
<a name="l00028"></a>00028 <span class="preprocessor">#ifndef __RENDERSYSTEMCAPABILITIESMANAGER_H__</span>
<a name="l00029"></a>00029 <span class="preprocessor"></span><span class="preprocessor">#define __RENDERSYSTEMCAPABILITIESMANAGER_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span>
<a name="l00031"></a>00031 <span class="preprocessor">#include &quot;<a class="code" href="OgrePrerequisites_8h.html">OgrePrerequisites.h</a>&quot;</span>
<a name="l00032"></a>00032 <span class="preprocessor">#include &quot;<a class="code" href="OgreSingleton_8h.html">OgreSingleton.h</a>&quot;</span>
<a name="l00033"></a>00033 <span class="preprocessor">#include &quot;<a class="code" href="OgreStringVector_8h.html">OgreStringVector.h</a>&quot;</span>
<a name="l00034"></a>00034 
<a name="l00035"></a>00035 <span class="preprocessor">#include &quot;<a class="code" href="OgreRenderSystemCapabilities_8h.html">OgreRenderSystemCapabilities.h</a>&quot;</span>
<a name="l00036"></a>00036 
<a name="l00037"></a>00037 
<a name="l00038"></a>00038 
<a name="l00039"></a>00039 <span class="keyword">namespace </span>Ogre {
<a name="l00040"></a>00040 
<a name="l00041"></a>00041 
<a name="l00052"></a><a class="code" href="classOgre_1_1RenderSystemCapabilitiesManager.html">00052</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1RenderSystemCapabilitiesManager.html" title="Class for managing RenderSystemCapabilities database for Ogre.">RenderSystemCapabilitiesManager</a> :  <span class="keyword">public</span> <a class="code" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a>&lt;RenderSystemCapabilitiesManager&gt;, <span class="keyword">public</span> <a class="code" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator...">RenderSysAlloc</a>
<a name="l00053"></a>00053     {
<a name="l00054"></a>00054 
<a name="l00055"></a>00055     <span class="keyword">public</span>:
<a name="l00056"></a>00056 
<a name="l00059"></a>00059         <a class="code" href="classOgre_1_1RenderSystemCapabilitiesManager.html" title="Class for managing RenderSystemCapabilities database for Ogre.">RenderSystemCapabilitiesManager</a>();
<a name="l00060"></a>00060 
<a name="l00063"></a>00063         <span class="keyword">virtual</span> ~<a class="code" href="classOgre_1_1RenderSystemCapabilitiesManager.html" title="Class for managing RenderSystemCapabilities database for Ogre.">RenderSystemCapabilitiesManager</a>();
<a name="l00064"></a>00064 
<a name="l00065"></a>00065 
<a name="l00068"></a>00068         <span class="keywordtype">void</span> parseCapabilitiesFromArchive(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; filename, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; archiveType, <span class="keywordtype">bool</span> recursive = <span class="keyword">true</span>);
<a name="l00069"></a>00069         
<a name="l00073"></a>00073         <a class="code" href="classOgre_1_1RenderSystemCapabilities.html" title="singleton class for storing the capabilities of the graphics card.">RenderSystemCapabilities</a>* loadParsedCapabilities(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name);
<a name="l00074"></a>00074 
<a name="l00076"></a>00076         <span class="keyword">const</span> <a class="code" href="structOgre_1_1map.html">map&lt;String, RenderSystemCapabilities*&gt;::type</a> &amp;getCapabilities() <span class="keyword">const</span>;
<a name="l00077"></a>00077 
<a name="l00079"></a>00079         <span class="keywordtype">void</span> _addRenderSystemCapabilities(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name, <a class="code" href="classOgre_1_1RenderSystemCapabilities.html" title="singleton class for storing the capabilities of the graphics card.">RenderSystemCapabilities</a>* caps);
<a name="l00080"></a>00080 
<a name="l00096"></a>00096         <span class="keyword">static</span> <a class="code" href="classOgre_1_1RenderSystemCapabilitiesManager.html" title="Class for managing RenderSystemCapabilities database for Ogre.">RenderSystemCapabilitiesManager</a>&amp; getSingleton(<span class="keywordtype">void</span>);
<a name="l00112"></a>00112         <span class="keyword">static</span> <a class="code" href="classOgre_1_1RenderSystemCapabilitiesManager.html" title="Class for managing RenderSystemCapabilities database for Ogre.">RenderSystemCapabilitiesManager</a>* getSingletonPtr(<span class="keywordtype">void</span>);
<a name="l00113"></a>00113 
<a name="l00114"></a>00114     <span class="keyword">protected</span>:
<a name="l00115"></a>00115 
<a name="l00116"></a><a class="code" href="classOgre_1_1RenderSystemCapabilitiesManager.html#a2e0da13b7368eee63077c7e45e4829a5">00116</a>         <a class="code" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html" title="Class for serializing RenderSystemCapabilities to / from a .rendercaps script.">RenderSystemCapabilitiesSerializer</a>* <a class="code" href="classOgre_1_1RenderSystemCapabilitiesManager.html#a2e0da13b7368eee63077c7e45e4829a5">mSerializer</a>;
<a name="l00117"></a>00117 
<a name="l00118"></a><a class="code" href="classOgre_1_1RenderSystemCapabilitiesManager.html#ad5b4c06dcb365c0326cc5cd1f312253b">00118</a>         <span class="keyword">typedef</span> <a class="code" href="structOgre_1_1map.html">map&lt;String, RenderSystemCapabilities*&gt;::type</a> <a class="code" href="classOgre_1_1RenderSystemCapabilitiesManager.html#ad5b4c06dcb365c0326cc5cd1f312253b">CapabilitiesMap</a>;
<a name="l00119"></a><a class="code" href="classOgre_1_1RenderSystemCapabilitiesManager.html#a3c5c00030994f51d13d5f0b1d07c3da4">00119</a>         <a class="code" href="classOgre_1_1RenderSystemCapabilitiesManager.html#ad5b4c06dcb365c0326cc5cd1f312253b">CapabilitiesMap</a> <a class="code" href="classOgre_1_1RenderSystemCapabilitiesManager.html#a3c5c00030994f51d13d5f0b1d07c3da4">mCapabilitiesMap</a>;
<a name="l00120"></a>00120 
<a name="l00121"></a><a class="code" href="classOgre_1_1RenderSystemCapabilitiesManager.html#a8b6a2ef877e9a330417bedd1f831f5c0">00121</a>         <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1RenderSystemCapabilitiesManager.html#a8b6a2ef877e9a330417bedd1f831f5c0">mScriptPattern</a>;
<a name="l00122"></a>00122 
<a name="l00123"></a>00123     };
<a name="l00124"></a>00124 
<a name="l00127"></a>00127 }
<a name="l00128"></a>00128 
<a name="l00129"></a>00129 <span class="preprocessor">#endif</span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:51
</p>
</body>
</html>
